Subject: [bug#36272] [PATCH] gnu: rust: fix building bootstrap chain

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 18 Jun 2019 08:51:39 +0200

Hi Ivan,

On Mon, 17 Jun 2019 20:06:37 -0700
Ivan Petkov <[email-masked]> wrote:

> I tried deleting the gnu/packages/patches/rust-1.30-gdb-llvm.patch file since
> it is now unused, but after doing so the build fails with a cryptic backtrace.
> 
> Anyone have any ideas why?

Hmm, I've had spooky things like that when I didn't run "make" in the guix
directory after the change before trying to use it.
Not sure why that is--since guile is supposed to compile on demand--, but it
happened.

So try running "make" in guix.

Otherwise "grep -r gdb-llvm ." to find left-overs, if any.

If nothing else helps, rm -rf ~/.cache/guile